<?php
	/** Wypisywanie tabelki z cyklami
	 * @param cykl nazwa tablicy (z sesji) z danymi (zobacz include_exe/Ad_cykle.inc.php)
	 * @param h naglowek do wypisania
	 * @param xp strona do przekierowania (xpage)
	 * @param xexp strona do przekierowania (xexpage), tutaj dodac dodatkowe parametry po "&"
	 * @author Maciek Osinski
	 * Oparte na kodzie Darka
	 * @version 0.2
	 */
	function AdWypiszCykl ($cykl, $h, $xp, $xexp, $gfx) {
		global $sess;

		if (!$sess->get($cykl)) return;
		echo "<center><h2>". $h ."</h2></center>\n";
		$tab = new CTable(6, "ttable", "cellspacing=1");
		foreach($sess->get($cykl) as $key => $value){
			$link = new Clink($xp, $xexp);
			$link->AddParam('Ad_cykl', $key);
			$tab->addField($link->get("<img src=\"$gfx\">"));
			$tab->addField($link->get($value['opis']));
			$tab->addField($value['data_od']);
			$tab->addField($value['data_do']);
			$tab->addField($value['data_zakon']);
			$tab->addField($value['status_cyklu']);
			echo $link->get($tab->tprint());
		}
		$tab->close();
		printf("<br>\n");
	}
?>
